%define module	networkx
%define name	python-%{module}
%define version	1.2
%define release	%mkrel 3

Summary: 	Python package for the study of complex networks
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{module}-%{version}.tar.xz
License: 	BSD
Group: 	 	Development/Python
URL: 	 	https://networkx.lanl.gov/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	python-pygraphviz
Requires: 	python-matplotlib >= 0.73.1
BuildRequires: 	python-setuptools
BuildArch: 	noarch

%description
NetworkX (NX) is a Python package for the creation, manipulation, and
study of the structure, dynamics, and functions of complex networks.

Features:
* Includes standard graph-theoretic and statistical physics functions
* Easy exchange of network algorithms between applications, disciplines, 
  and platforms
* Includes many classic graphs and synthetic networks
* Nodes and edges can be "anything" (e.g. time-series, text, images, 
  XML records)
* Exploits existing code from high-quality legacy software in C, C++, 
  Fortran, etc.
* Open source (encourages community input)
* Unit-tested

%prep
%setup -q -n %{module}-%{version}

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}
%__rm -rf %{buildroot}%{_docdir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/%{module}
%{py_puresitedir}/%{module}-%{version}-py%{pyver}.egg-info
%doc doc/* examples/



%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com> 1.2-2pclos2010
- rebuild for python 2.6.6

* Wed Aug 18 2010 pcserver <pcserver at hush.com> 1.2-1pclos201
- update package


